Name:		usbdcf77re
Version:	0.1.1
Release:	1%{?dist}
Summary:	daemon for USB-DCF77 device (Reusch Elektronik)

License:	GPLv2
URL:		https://github.com/d-graef/usbdcf77re
Source0:	https://github.com/d-graef/usbdcf77re/usbdcf77re-0.1.1.tar.gz

%if %{defined fedora}
BuildRequires:	gcc				>= 14.0.0
%endif

%if %{defined suse_version}
BuildRequires:  gcc14				>= 14.0.0
%endif

BuildRequires:  make                            >= 4.4.0
%if %{defined fedora}
BuildRequires:	libusb1-devel			>= 1.0.0
%endif

%if %{defined suse_version}
BuildRequires:	libusb-1_0-devel		>= 1.0.20
%endif

%if %{defined fedora}
Requires:	libusb1				>= 1.0.1
%endif

%if %{defined suse_version}
Requires:	libusb-1_0-0			>= 1.0.20
%endif

%description
daemon for USB-DCF77 device (Reusch Elektronik)

%global debug_package %{nil}

%prep
%autosetup

%build
cd src
make

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}/usr/lib/systemd/system
cp src/usbdcf77re %{buildroot}%{_bindir}
cp sys-start/usbdcf77re.service %{buildroot}/usr/lib/systemd/system

%files
%{_bindir}/usbdcf77re
/usr/lib/systemd/system/usbdcf77re.service

%license license/COPYING
%doc README.md doc/CHANGELOG doc/readme.txt doc/install.txt doc/build.txt doc/todo.txt doc/chrony.conf

%post
systemctl daemon-reload

%changelog
* Tue Jan 28 2025 Detlef Graef <detlef.graef [at] gmx.de> 0.1.1-1
- Ver. 0.1.1 RPM Spec file for Fedora and Suse

* Sat Dec 14 2024 Detlef Graef <detlef.graef [at] gmx.de> 0.1.0-1
- Initial version 0.1.0
